## php-geos 1.0.0

=== docker/build-test/Makefile ===
DOCKER=docker
REGISTRY=docker.kbt.io
NAME=$(REGISTRY)/php-geos/build-test

BUILDOPTS=--build-arg http_proxy=$${http_proxy}

all: alpine trisquel

push: alpine-push trisquel-push

alpine:
	$(DOCKER) build $(BUILDOPTS) -t $(NAME):alpine - < Dockerfile.alpine

alpine-push:
	$(DOCKER) push $(NAME):alpine

trisquel:
	$(DOCKER) build $(BUILDOPTS) -t $(NAME):trisquel - < Dockerfile.trisquel

trisquel-push:
	$(DOCKER) push $(NAME):trisquel

=== debian/changelog ===
php-geos (1.0.0-5ubuntu2) focal; urgency=medium

  * No-change rebuild for PHP 7.4

 -- Bryce Harrington <bryce@canonical.com>  Thu, 27 Feb 2020 16:33:47 +0000

php-geos (1.0.0-5ubuntu1) focal; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.0, no changes.
  * Remove package name from lintian overrides.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Name field from upstream metadata.

  [ Bryce Harrington ]
  * Sync from unreleased debian vcs 1.0.0-5.

 -- Bryce Harrington <bryce@canonical.com>  Thu, 27 Feb 2020 16:33:46 +0000

php-geos (1.0.0-4) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 15:32:33 +0200

php-geos (1.0.0-3) unstable; urgency=medium

  * Update URLs for move from gogs to gitea.
  * Bump Standards-Version to 4.1.5, no changes.
  * Change Section from web to php.
  * Add autopkgtest to test installability.
  * Fix deprecated source override location.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from control & rules files.
  * Use filter instead of findstring to prevent partial matches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 11:04:57 +0200

php-geos (1.0.0-2) unstable; urgency=medium

  * Ignore test failures on problematic architectures only.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jan 2017 16:01:20 +0100

php-geos (1.0.0-1) unstable; urgency=medium

  * Initial Release. (Closes: #849283).

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Dec 2016 17:05:05 +0100

=== debian/control ===
Source: php-geos
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-php,
               libgeos-dev,
               php-dev,
               phpunit
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/php-geos
Vcs-Git: https://salsa.debian.org/debian-gis-team/php-geos.git
Homepage: https://git.osgeo.org/gitea/geos/php-geos/

Package: php-geos
Architecture: any
Section: php
Depends: ${php:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GEOS bindings for PHP
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the PHP bindings for GEOS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with autoreconf,php \
	      --parallel

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_test:
# Ignore test failures on problematic architectures only
ifneq (,$(filter $(DEB_BUILD_ARCH),arm64 armel armhf mips mips64el mipsel ppc64el s390x powerpc ppc64 x32))
        REPORT_EXIT_STATUS=1 NO_INTERACTION=1 dh_auto_test || echo "Ignoring test failures"
else
        REPORT_EXIT_STATUS=1 NO_INTERACTION=1 dh_auto_test
endif

override_dh_auto_install:
	# phpize uses INSTALL_ROOT instead of DESTDIR
	$(MAKE) install INSTALL_ROOT=$(CURDIR)/debian/php-geos

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|php-geos)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/php-geos-$1.$2/ \
https://git.osgeo.org/gitea/geos/php-geos/releases \
(?:.*?/)?(?:rel|v|php-geos)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
